<?php


namespace App\ViewModels\Perfil\PerfilDetailsViewModel;


use App\Utils\Builder;

class PerfilDetailsViewModelBuilder implements Builder
{
    protected $perfil_id;
    protected $perfil_nome;
    protected $permissoes;

    /**
     * @param mixed $perfil_id
     * @return PerfilDetailsViewModelBuilder
     */
    public function setPerfilId($perfil_id)
    {
        $this->perfil_id = $perfil_id;
        return $this;
    }

    /**
     * @param mixed $perfil_nome
     * @return PerfilDetailsViewModelBuilder
     */
    public function setPerfilNome($perfil_nome)
    {
        $this->perfil_nome = $perfil_nome;
        return $this;
    }

    /**
     * @param mixed $permissoes
     * @return PerfilDetailsViewModelBuilder
     */
    public function setPermissoes($permissoes)
    {
        $this->permissoes = $permissoes;
        return $this;
    }


    public function build() : PerfilDetailsViewModel
    {
        $assistente_details_vm = new PerfilDetailsViewModel();
        $assistente_details_vm->setPerfilId($this->perfil_id);
        $assistente_details_vm->setPerfilNome($this->perfil_nome);
        $assistente_details_vm->setPermissoes($this->permissoes);
        return $assistente_details_vm;
    }
}